## winetricks 0.0+20170101

=== Makefile ===
# Makefile for winetricks - a script for working around common problems in wine
#
# Copyright (C) 2013 Dan Kegel
# Copyright (C) 2015-2016 Austin English
# See also copyright notice in src/winetricks.
#
# winetricks comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU Lesser Public License version 2.1, as published by the Free Software
# Foundation. Please see the file src/COPYING for details.
#
# Web Page: http://winetricks.org
#
# Maintainers:
# Dan Kegel <dank!kegel.com>, Austin English <austinenglish!gmail.com>

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644
SOURCES = Makefile src tests

version=$(shell grep '^WINETRICKS_VERSION' < src/winetricks | sed 's/.*=//')

PREFIX = /usr

all:
	@ echo "Nothing to compile. Use: check, clean, cleanup, dist, install"

# Editor backup files etc.
clean:
	find . -name "*[#~]" \
		-o -name "*.\#*" \
		-o -name "*.orig" \
		-o -name "*.porig" \
		-o -name "*.rej" \
		-o -name "*.log" \
		-o -name "*.out" \
		-o -name "*.verbs" \
	| xargs --no-run-if-empty rm
	rm -rf src/df-* src/measurements src/links.d

# Remove trailing whitespaces
cleanup:
	sed --in-place 's,[ \t]\+$$,,' $$(find $(SOURCES) -type f)

dist: clean $(SOURCES)
	tar --exclude='*.patch' --exclude=measurements --exclude=.git \
		--exclude-backups \
		-czvf winetricks-$(version).tar.gz $(SOURCES)

install:
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL_PROGRAM) src/winetricks $(DESTDIR)$(PREFIX)/bin/winetricks
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
	$(INSTALL_DATA) src/winetricks.1 $(DESTDIR)$(PREFIX)/share/man/man1/winetricks.1

check:
	echo 'This verifies that most DLL verbs, plus flash, install ok.'
	echo 'It should take about an hour to run with a fast connection.'
	echo 'If you want to test a particular version of wine, do e.g.'
	echo 'export WINE=$$HOME/wine-git/wine first.'
	echo 'On 64 bit systems, you probably want export WINEARCH=win32.'
	echo 'Winetricks does not work completely in non-English locales.'
	echo ''
	echo 'Current Environment:'
	echo 'DISPLAY is currently "$(DISPLAY)".'
	echo 'LANG is currently "$(LANG)".'
	echo 'WINEARCH is currently "$(WINEARCH)".'
	echo 'WINE is currently "$(WINE)".'
	echo 'XAUTHORITY is currently "$(XAUTHORITY)".'
	echo ''
	echo 'If running this as part of debuild, you might need to use'
	echo 'debuild --preserve-envvar=LANG --preserve-envvar=WINE --preserve-envvar=WINEARCH --preserve-envvar=DISPLAY --preserve-envvar=XAUTHORITY'
	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
	echo ''
	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
	# Check for checkbashisms/shellcheck issues first:
	echo "Running checkbashisms/shellcheck:"
	sh ./tests/shell-checks || exit 1
	# Check all script dependencies before starting tests:
	echo "Checking dependencies.."
	sh ./src/linkcheck.sh check-deps || exit 1
	sh ./tests/winetricks-test check-deps || exit 1
	echo "Running tests"
	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test quick

shell-checks:
	echo "This runs shell checks only. Currently, these are checkbashisms and shellcheck."
	echo "This is relatively fast and doesn't download anything."
	sh ./tests/shell-checks || exit 1

test:
	echo 'This verifies that most DLL verbs, plus flash and dotnet, install ok.'
	echo 'It also makes sure that all URLs in winetricks work, so a fast uncapped internet connection is needed.'
	echo 'It should take about an hour to run with a fast connection.'
	echo 'If you want to test a particular version of wine, do e.g.'
	echo 'export WINE=$$HOME/wine-git/wine first.'
	echo 'On 64 bit systems, you probably want export WINEARCH=win32.'
	echo 'Winetricks does not work completely in non-English locales.'
	echo ''
	echo 'Current Environment:'
	echo 'DISPLAY is currently "$(DISPLAY)".'
	echo 'LANG is currently "$(LANG)".'
	echo 'WINEARCH is currently "$(WINEARCH)".'
	echo 'WINE is currently "$(WINE)".'
	echo 'XAUTHORITY is currently "$(XAUTHORITY)".'
	echo ''
	echo 'If running this as part of debuild, you might need to use'
	echo 'debuild --preserve-envvar=LANG --preserve-envvar=WINE --preserve-envvar=WINEARCH --preserve-envvar=DISPLAY --preserve-envvar=XAUTHORITY'
	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
	echo ''
	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
	# Check for checkbashisms/shellcheck issues first:
	echo "Running checkbashisms/shellcheck:"
	sh ./tests/shell-checks || exit 1
	# Check all script dependencies before starting tests:
	echo "Checking dependencies.."
	sh ./src/linkcheck.sh check-deps || exit 1
	sh ./tests/winetricks-test check-deps || exit 1
	echo "Running tests"
	rm -rf src/links.d; cd src; sh linkcheck.sh crawl
	echo 'And now, the one hour run check.'
	if test ! -z "$(XDG_CACHE_HOME)" ; then rm -rf $(XDG_CACHE_HOME)/winetricks ; else rm -rf $(HOME)/.cache/winetricks ; fi
	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test full

xvfb-check:
	echo "xvfb runs make check, for verbs safe for it"
	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test xvfb-check

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Uploaders:
 Joseph Bisch <joseph.bisch@gmail.com>
Build-Depends:
 debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://github.com/Winetricks/winetricks
Vcs-Git: https://anonscm.debian.org/git/pkg-wine/winetricks.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-wine/winetricks.git

Package: winetricks
Architecture: all
Multi-Arch: foreign
Depends:
 binutils,
 cabextract,
 p7zip,
 unzip,
 wget,
 wine,
 zip,
 ${misc:Depends}
Recommends:
 sudo | gksu,
 xdg-utils,
 zenity | kdebase-bin
Suggests:
 aria2,
 tor
Description: package manager for Wine to install software easily
 A POSIX shell script 'package manager' for Wine to install some
 Windows software easily. The list contains about 70 applications
 including 3dmark2001, corefonts, cygwin, directx9, dotnet35, droid,
 firefox, flash, ie8, mspaint, msxml6, python26, quicktime76, safari,
 spotify, utorrent, vb6run, vcrun2010, vlc, xvid etc.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE   = winetricks
CHANGELOG := $(shell pwd)/debian/upstream.changelog
ICONDIR	  = debian/$(PACKAGE)/usr/share/$(PACKAGE)/icons/hicolor/scalable/apps

include debian/pod2man.mk

# Run manually when package is updated
get-changelog:
	git log --pretty=short upstream/master > $(CHANGELOG)

# See debian/manpages instead
man-old:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_test:
	# Skip. These are internal tests.

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

%:
	dh $@

# End of file

## winetricks 0.0+20170823

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
 Uploaders:
- Joseph Bisch <joseph.bisch@gmail.com>
+ Joseph Bisch <joseph.bisch@gmail.com>,
+ Jens Reyer <jre.winesim@gmail.com>,
 Build-Depends:
- debhelper (>= 9)
-Standards-Version: 3.9.8
+ debhelper (>= 10)
+Standards-Version: 4.1.1
 Homepage: https://github.com/Winetricks/winetricks
 Vcs-Git: https://anonscm.debian.org/git/pkg-wine/winetricks.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-wine/winetricks.git
@@ -24,7 +25,7 @@
  zip,
  ${misc:Depends}
 Recommends:
- sudo | gksu,
+ sudo | gksu | kdesudo,
  xdg-utils,
  zenity | kdebase-bin
 Suggests:

## winetricks 0.0+20180217

=== Makefile ===
--- 
+++ 
@@ -4,16 +4,16 @@
 # Copyright (C) 2015-2016 Austin English
 # See also copyright notice in src/winetricks.
 #
-# winetricks comes with ABSOLUTELY NO WARRANTY.
+# This software comes with ABSOLUTELY NO WARRANTY.
 #
-# This is free software, placed under the terms of the
-# GNU Lesser Public License version 2.1, as published by the Free Software
-# Foundation. Please see the file src/COPYING for details.
+# This is free software, placed under the terms of the GNU Lesser
+# Public License version 2.1 (or later), as published by the Free
+# Software Foundation. Please see the file COPYING for details.
 #
 # Web Page: http://winetricks.org
 #
 # Maintainers:
-# Dan Kegel <dank!kegel.com>, Austin English <austinenglish!gmail.com>
+# Austin English <austinenglish!gmail.com>
 
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL)
@@ -37,7 +37,7 @@
 		-o -name "*.log" \
 		-o -name "*.out" \
 		-o -name "*.verbs" \
-	| xargs --no-run-if-empty rm
+	| xargs -r rm
 	rm -rf src/df-* src/measurements src/links.d
 
 # Remove trailing whitespaces
@@ -54,6 +54,12 @@
 	$(INSTALL_PROGRAM) src/winetricks $(DESTDIR)$(PREFIX)/bin/winetricks
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
 	$(INSTALL_DATA) src/winetricks.1 $(DESTDIR)$(PREFIX)/share/man/man1/winetricks.1
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/applications
+	$(INSTALL_DATA) src/winetricks.desktop $(DESTDIR)$(PREFIX)/share/applications/winetricks.desktop
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/metainfo
+	$(INSTALL_DATA) src/winetricks.appdata.xml $(DESTDIR)$(PREFIX)/share/metainfo/winetricks.appdata.xml
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps
+	$(INSTALL_DATA) src/winetricks.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/winetricks.svg
 
 check:
 	echo 'This verifies that most DLL verbs, plus flash, install ok.'
@@ -84,6 +90,9 @@
 	sh ./tests/winetricks-test check-deps || exit 1
 	echo "Running tests"
 	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test quick
+
+check-coverage:
+	WINETRICKS_ENABLE_KCOV=1 $(MAKE) check
 
 shell-checks:
 	echo "This runs shell checks only. Currently, these are checkbashisms and shellcheck."
@@ -124,6 +133,12 @@
 	if test ! -z "$(XDG_CACHE_HOME)" ; then rm -rf $(XDG_CACHE_HOME)/winetricks ; else rm -rf $(HOME)/.cache/winetricks ; fi
 	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test full
 
+test-coverage:
+	WINETRICKS_ENABLE_KCOV=1 $(MAKE) test
+
 xvfb-check:
 	echo "xvfb runs make check, for verbs safe for it"
 	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test xvfb-check
+
+xvfb-check-coverage:
+	WINETRICKS_ENABLE_KCOV=1 $(MAKE) xfvb-check-coverage

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Joseph Bisch <joseph.bisch@gmail.com>,
  Jens Reyer <jre.winesim@gmail.com>,
 Build-Depends:
- debhelper (>= 10)
-Standards-Version: 4.1.1
+ debhelper (>= 11~)
+Standards-Version: 4.1.3
 Homepage: https://github.com/Winetricks/winetricks
 Vcs-Git: https://anonscm.debian.org/git/pkg-wine/winetricks.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-wine/winetricks.git
@@ -20,14 +20,14 @@
  cabextract,
  p7zip,
  unzip,
- wget,
+ wget | curl,
  wine,
- zip,
  ${misc:Depends}
 Recommends:
- sudo | gksu | kdesudo,
+ policykit-1 | kde-cli-tools,
+ sudo,
  xdg-utils,
- zenity | kdebase-bin
+ zenity | kdialog | x11-utils,
 Suggests:
  aria2,
  tor

## winetricks 0.0+20180815

=== debian/changelog ===
winetricks (0.0+20180815-1) unstable; urgency=medium

  * New upstream release 20180815.
  * Drop alioth reference from README.source.
  * Refresh patches.
  * Add patch to remove shebang line from the new bash-completion.
  * Add copyright information for src/winetricks.bash-completion.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 07 Oct 2018 13:46:25 +0200

winetricks (0.0+20180603-1) unstable; urgency=medium

  * New upstream release 20180603.
  * Refresh patches.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 03 Jun 2018 16:55:50 +0200

winetricks (0.0+20180513-1) unstable; urgency=medium

  * New upstream release 20180513.
  * Promote aria2 to preferred alternative to wget/curl.
  * Run wrap-and-sort.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Refresh patches.
  * Update maintainer address to debian-wine@lists.debian.org.
  * Update Vcs-fields for new salsa.debian.org URIs.
  * Set "Rules-Requires-Root: no" in d/control.
  * Rename README.Maintainer to README.source.
  * Update preamble of README.source.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 20 May 2018 19:35:41 +0200

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
Uploaders:
 Joseph Bisch <joseph.bisch@gmail.com>,
 Jens Reyer <jre.winesim@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
Standards-Version: 4.2.1
Homepage: https://github.com/Winetricks/winetricks
Vcs-Git: https://salsa.debian.org/wine-team/winetricks.git
Vcs-Browser: https://salsa.debian.org/wine-team/winetricks
Rules-Requires-Root: no

Package: winetricks
Architecture: all
Multi-Arch: foreign
Depends:
 aria2 | wget | curl,
 binutils,
 cabextract,
 p7zip,
 unzip,
 wine,
 ${misc:Depends},
Recommends:
 policykit-1 | kde-cli-tools,
 sudo,
 xdg-utils,
 zenity | kdialog | x11-utils,
Suggests:
 tor,
Description: package manager for Wine to install software easily
 A POSIX shell script 'package manager' for Wine to install some
 Windows software easily. The list contains about 70 applications
 including 3dmark2001, corefonts, cygwin, directx9, dotnet35, droid,
 firefox, flash, ie8, mspaint, msxml6, python26, quicktime76, safari,
 spotify, utorrent, vb6run, vcrun2010, vlc, xvid etc.

## winetricks 0.0+20181203

=== debian/changelog ===
winetricks (0.0+20181203-3) unstable; urgency=low

  * Drop remove-self-update.patch.
  * Add disable-automatic-selfupdate.patch.
    Disable automatic online version check and selfupdate.
    Warn and require confirmation on manual selfupdate. (Closes: #916613)
    Document this in README.Debian.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 22 Dec 2018 14:52:50 +0100

winetricks (0.0+20181203-2) unstable; urgency=medium

  * Add appdata-license.patch to set the correct project license.
  * Add drop-bash-completion-download.patch to prevent automatic net connection.
  * Update information about optional dependencies in README.Debian.
  * Update package description in d/control.
  * Recommend fuseiso or archivemount to mount cached iso files.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 09 Dec 2018 12:34:21 +0100

winetricks (0.0+20181203-1) unstable; urgency=medium

  * New upstream release 20181203.
  * Drop bash-completion.patch, applied upstream.
  * Refresh patch.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 04 Dec 2018 21:19:45 +0100

=== debian/control ===
--- 
+++ 
@@ -25,15 +25,18 @@
  wine,
  ${misc:Depends},
 Recommends:
+ fuseiso | archivemount,
  policykit-1 | kde-cli-tools,
  sudo,
  xdg-utils,
  zenity | kdialog | x11-utils,
 Suggests:
  tor,
-Description: package manager for Wine to install software easily
- A POSIX shell script 'package manager' for Wine to install some
- Windows software easily. The list contains about 70 applications
- including 3dmark2001, corefonts, cygwin, directx9, dotnet35, droid,
- firefox, flash, ie8, mspaint, msxml6, python26, quicktime76, safari,
- spotify, utorrent, vb6run, vcrun2010, vlc, xvid etc.
+Description: simple tool to work around common problems in Wine
+ Winetricks lets you install missing DLLs or tweak various Wine settings
+ individually.  It also has a menu of supported games/apps for which it
+ can do all the workarounds automatically.
+ .
+ It can be used via GUI or commandline, whichever you prefer; the
+ commandline mode is particularly useful as a building block in fancier
+ wine frontends and in automated regression testing.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/winetricks-$1\.tar\.gz/,\
dversionmangle=s/^\d*\.\d*\+//,\
oversionmangle=s/^/0.0+/,\
pgpsigurlmangle=s/archive\/(\d\S*)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/Winetricks/winetricks/releases .*/v?(\d\S*)\.tar\.gz

## winetricks 0.0+20190310

=== debian/changelog ===
winetricks (0.0+20190310-0.1~mx15+1) mx; urgency=medium

  * New upstream release.
  * Drop appdata-license.patch and drop-bash-completion-download.patch,
    fixed upstream.
  * Add wine-staging as a preferred alternate dependency to wine.
  * Make all recommended packages dependencies.
  * Revert to debhelper 9 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Mar 2019 11:45:05 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Joseph Bisch <joseph.bisch@gmail.com>,
  Jens Reyer <jre.winesim@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 9),
 Standards-Version: 4.2.1
 Homepage: https://github.com/Winetricks/winetricks
 Vcs-Git: https://salsa.debian.org/wine-team/winetricks.git
@@ -22,9 +22,8 @@
  cabextract,
  p7zip,
  unzip,
- wine,
+ winehq-staging | wine-staging | wine,
  ${misc:Depends},
-Recommends:
  fuseiso | archivemount,
  policykit-1 | kde-cli-tools,
  sudo,

## winetricks 0.0+20190912

=== debian/changelog ===
winetricks (0.0+20190912-1) unstable; urgency=medium

  * New upstream release 20190912.
  * Refresh patches.
  * Demote file-format specific dependencies to "Recommends".
  * Depend on p7zip-full instead of p7zip.
  * Add unrar(-free) to suggested packages.
  * README.source: add some tooling tips.
  * Update standards version, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Clarify prompt before the selfupdate.

 -- Jens Reyer <jre.winesim@gmail.com>  Fri, 13 Sep 2019 12:37:27 +0200

winetricks (0.0+20190615-1) experimental; urgency=medium

  * New upstream release 20190615.
  * Recommend xz-utils to decompress some tar archives.
  * Update some copyright years.
  * Refresh patches.
    Drop appdata-license.patch and drop-bash-completion-download.patch,
    applied upstream.
  * Bump Standards-Version to 4.3.0.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 15 Jun 2019 18:50:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Joseph Bisch <joseph.bisch@gmail.com>,
  Jens Reyer <jre.winesim@gmail.com>,
 Build-Depends:
- debhelper (>= 9),
-Standards-Version: 4.2.1
+ debhelper-compat (= 12),
+Standards-Version: 4.4.0
 Homepage: https://github.com/Winetricks/winetricks
 Vcs-Git: https://salsa.debian.org/wine-team/winetricks.git
 Vcs-Browser: https://salsa.debian.org/wine-team/winetricks
@@ -19,18 +19,21 @@
 Depends:
  aria2 | wget | curl,
  binutils,
+ wine,
+ ${misc:Depends},
+Recommends:
  cabextract,
- p7zip,
- unzip,
- winehq-staging | wine-staging | wine,
- ${misc:Depends},
  fuseiso | archivemount,
+ p7zip-full,
  policykit-1 | kde-cli-tools,
  sudo,
+ unzip,
  xdg-utils,
+ xz-utils,
  zenity | kdialog | x11-utils,
 Suggests:
  tor,
+ unrar-free | unrar,
 Description: simple tool to work around common problems in Wine
  Winetricks lets you install missing DLLs or tweak various Wine settings
  individually.  It also has a menu of supported games/apps for which it

## winetricks 0.0+20191224

=== debian/changelog ===
winetricks (0.0+20191224-0~mx19+1) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 28 Dec 2019 17:10:58 -0500

winetricks (0.0+20190310-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Drop appdata-license.patch and drop-bash-completion-download.patch,
    fixed upstream.
  * Add wine-staging as a preferred alternate dependency to wine.
  * Make all recommended packages dependencies.
  * Revert to debhelper 9 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Mar 2019 11:45:05 -0700

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Austin English <austinenglish@gmail.com>
Standards-Version: 3.8.1
Build-Depends:
 debhelper,
 devscripts,
Homepage: https://github.com/Winetricks/winetricks

Package: winetricks
Architecture: all
Multi-Arch: foreign
Depends:
 aria2 | wget | curl,
 binutils,
 cabextract,
 p7zip-full,
 unzip,
 fuseiso | archivemount,
 policykit-1 | gksu | kde-cli-tools | kdesudo,
 sudo,
 unrar-free | unrar,
 winehq-staging | wine-staging | wine,
 xdg-utils,
 xz-utils,
 zenity | kdialog | x11-utils,
Suggests:
 tor,
Description: simple tool to work around common problems in Wine
 Winetricks has a menu of supported games/apps for which it can do all the
 workarounds automatically. It also lets you install missing DLLs or
 tweak various Wine settings individually.
 .
 It can be used via GUI or command line, whichever you prefer; the
 command-line mode is particularly useful as a building block in fancier
 wine frontends and in automated regression testing.

## winetricks 0.0+20200412

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Public License version 2.1 (or later), as published by the Free
 # Software Foundation. Please see the file COPYING for details.
 #
-# Web Page: http://winetricks.org
+# Web Page: https://github.com/Winetricks/winetricks
 #
 # Maintainers:
 # Austin English <austinenglish!gmail.com>
@@ -60,6 +60,8 @@
 	$(INSTALL_DATA) src/winetricks.appdata.xml $(DESTDIR)$(PREFIX)/share/metainfo/winetricks.appdata.xml
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps
 	$(INSTALL_DATA) src/winetricks.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/winetricks.svg
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/bash-completion/completions
+	$(INSTALL_DATA) src/winetricks.bash-completion $(DESTDIR)$(PREFIX)/share/bash-completion/completions/winetricks
 
 check:
 	echo 'This verifies that most DLL verbs, plus flash, install ok.'

=== debian/changelog ===
winetricks (0.0+20200412-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop to debhelper 9 compat to ease backports.
  * Make recommends into dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Apr 2020 01:03:47 -0700

winetricks (0.0+20200412-1) unstable; urgency=medium

  * New upstream release 20200412.
  * Refresh patches.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 14 Apr 2020 19:38:52 +0200

winetricks (0.0+20191224-1) unstable; urgency=medium

  * New upstream release 20191224.
  * Refresh patches.
  * Minor update of README.source.
  * Update standards version to 4.5.0, no changes needed.
  * Refer to common license file for CC0-1.0.
  * Fix misspelling of Close => Closes.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 23 Mar 2020 18:53:49 +0100

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
Uploaders:
 Joseph Bisch <joseph.bisch@gmail.com>,
 Jens Reyer <jre.winesim@gmail.com>,
Build-Depends:
 debhelper (>= 9.2),
Standards-Version: 4.5.0
Homepage: https://github.com/Winetricks/winetricks
Vcs-Git: https://salsa.debian.org/wine-team/winetricks.git
Vcs-Browser: https://salsa.debian.org/wine-team/winetricks
Rules-Requires-Root: no

Package: winetricks
Architecture: all
Multi-Arch: foreign
Depends:
 aria2 | wget | curl,
 binutils,
 wine,
 ${misc:Depends},
# Recommends:
 cabextract,
 fuseiso | archivemount,
 p7zip-full,
 policykit-1 | kde-cli-tools,
 sudo,
 unzip,
 xdg-utils,
 xz-utils,
 zenity | kdialog | x11-utils,
Suggests:
 tor,
 unrar-free | unrar,
Description: simple tool to work around common problems in Wine
 Winetricks lets you install missing DLLs or tweak various Wine settings
 individually.  It also has a menu of supported games/apps for which it
 can do all the workarounds automatically.
 .
 It can be used via GUI or commandline, whichever you prefer; the
 commandline mode is particularly useful as a building block in fancier
 wine frontends and in automated regression testing.

## winetricks 0.0+20210206

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 	$(INSTALL_DATA) src/winetricks.bash-completion $(DESTDIR)$(PREFIX)/share/bash-completion/completions/winetricks
 
 check:
-	echo 'This verifies that most DLL verbs, plus flash, install ok.'
+	echo 'This verifies that most DLL verbs install ok.'
 	echo 'It should take about an hour to run with a fast connection.'
 	echo 'If you want to test a particular version of wine, do e.g.'
 	echo 'export WINE=$$HOME/wine-git/wine first.'
@@ -102,7 +102,7 @@
 	sh ./tests/shell-checks || exit 1
 
 test:
-	echo 'This verifies that most DLL verbs, plus flash and dotnet, install ok.'
+	echo 'This verifies that most DLL verbs install ok (and some other misc tests).'
 	echo 'It also makes sure that all URLs in winetricks work, so a fast uncapped internet connection is needed.'
 	echo 'It should take about an hour to run with a fast connection.'
 	echo 'If you want to test a particular version of wine, do e.g.'

=== debian/changelog ===
winetricks (0.0+20210206-2) unstable; urgency=medium

  * Add patch to update vcrun2019 hashes. (Closes: #986376)
  * Add upstream patch allowing using --force to ignore the sha256sum check.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 13 Apr 2021 22:05:56 +0200

winetricks (0.0+20210206-1) unstable; urgency=medium

  * New upstream release 20210206. (Closes: #961205, #981660)
  * Update and fix watch file.
  * Refresh patch.
  * Update to debhelper compatibility level 13.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Update d/copyright.
  * Remove Joseph Bisch from Uploaders, thanks.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 07 Feb 2021 01:18:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: winetricks
 Section: contrib/otherosfs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
+Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
 Uploaders:
- Joseph Bisch <joseph.bisch@gmail.com>,
  Jens Reyer <jre.winesim@gmail.com>,
 Build-Depends:
- debhelper (>= 9.2),
-Standards-Version: 4.5.0
+ debhelper-compat (= 13),
+Standards-Version: 4.5.1
 Homepage: https://github.com/Winetricks/winetricks
 Vcs-Git: https://salsa.debian.org/wine-team/winetricks.git
 Vcs-Browser: https://salsa.debian.org/wine-team/winetricks
@@ -22,7 +20,7 @@
  binutils,
  wine,
  ${misc:Depends},
-# Recommends:
+Recommends:
  cabextract,
  fuseiso | archivemount,
  p7zip-full,

=== debian/rules ===
#!/usr/bin/make -f

# Required for DEB_VERSION_UPSTREAM
include  /usr/share/dpkg/pkg-info.mk

CHANGELOG := debian/upstream/changelog
UPSTREAMVERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed "s|\(0.0+\)*\(.*\)|\2|")

# Run manually when package is updated (upstream git tag must be available)
# and new upstream version is in d/changelog
get-changelog:
	git log --pretty=short $(UPSTREAMVERSION) > $(CHANGELOG)

override_dh_auto_test:
	# Skip. These are internal tests.

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

%:
	dh $@

# End of file

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/winetricks-$1\.tar\.gz/,\
dversionmangle=s/^\d*\.\d*\+//,\
oversionmangle=s/^/0.0+/,\
pgpsigurlmangle=s/(\d\S*)\.tar\.gz/$1\.tar\.gz\.asc/ \
  https://github.com/Winetricks/winetricks/releases .*/v?(\d\S*)\.tar\.gz

## winetricks 20220411

=== debian/changelog ===
winetricks (20220411-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * Add debian/salsa-ci.yml.
  * Drop 0.0+ version prefix.

  [ Jens Reyer ]
  * New upstream release.
  * Refresh disable-automatic-selfupdate.patch.
  * d/watch: Update signature url mangle.
  * Update standards version to 4.6.0, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete code for dropped 0.0+ version prefix.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 11 Apr 2022 18:36:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jens Reyer <jre.winesim@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/Winetricks/winetricks
 Vcs-Git: https://salsa.debian.org/wine-team/winetricks.git
 Vcs-Browser: https://salsa.debian.org/wine-team/winetricks

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/winetricks-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/.*\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/Winetricks/winetricks/releases .*/(\d\S+)\.tar\.gz

## winetricks 20230212

=== debian/changelog ===
winetricks (20230212-2) unstable; urgency=medium

  * Fix typo "self-update".
  * Fix wine64.patch.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 26 Feb 2023 22:05:29 +0100

winetricks (20230212-1) unstable; urgency=medium

  * New upstream release.
  * Add alternative dependency on pkexec next to policykit-1.
    policykit-1 is a transitional package depending on a new pkexec package
    since Debian 12 (bookworm)/Ubuntu 22.04 (jammy).  Keep the former
    dependency for trivial backportability for now. (Closes: #1025590)
  * Update d/watch for github release changes.
  * Disable uscan tarball verification.
  * Refresh disable-automatic-selfupdate.patch.
  * Add wine64.patch to workaround missing /usr/bin/wine64.
  * Update standards version to 4.6.2, no changes needed.
  * Update d/copyright.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 25 Feb 2023 15:16:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jens Reyer <jre.winesim@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/Winetricks/winetricks
 Vcs-Git: https://salsa.debian.org/wine-team/winetricks.git
 Vcs-Browser: https://salsa.debian.org/wine-team/winetricks
@@ -24,7 +24,7 @@
  cabextract,
  fuseiso | archivemount,
  p7zip-full,
- policykit-1 | kde-cli-tools,
+ pkexec | policykit-1 | kde-cli-tools,
  sudo,
  unzip,
  xdg-utils,

=== debian/watch ===
version=4

# Download the tarball from the releases website (directory
# prefix "winetricks-$tag/") instead of the tarball from the api
# release file ("Winetricks-winetricks-$tag-$commit/")
opts="searchmode=plain,\
downloadurlmangle=s#api.github.com/repos/([^/]+)/([^/]+)/tarball/(@ANY_VERSION@)#github.com/${1}/${2}/archive/refs/tags/${3}.tar.gz#,\
filenamemangle=s#.+/@ANY_VERSION@#winetricks-${1}.tar.gz#" \
https://api.github.com/repos/Winetricks/winetricks/releases \
https://api\.github\.com/repos/[^/]+/[^/]+/tarball/@ANY_VERSION@

# winetricks-20230212 failed to verify because git changed to an internal gzip
# (which was used by upstream for a local tarball to sign), while github uses
# the external gzip to create the tarball. Therefore disable the automatic
# verification for now and verify the tarball manually.
#pgpsigurlmangle=s#archive/refs/tags/(@ANY_VERSION@)\.tar\.gz#releases/download/${1}/${1}.tar.gz.asc#,\

## winetricks 20240105

=== Makefile ===
--- 
+++ 
@@ -83,8 +83,8 @@
 	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
 	echo ''
 	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
-	# Check for checkbashisms/shellcheck issues first:
-	echo "Running checkbashisms/shellcheck:"
+	# Check for shellcheck issues first:
+	echo "Running shellcheck:"
 	sh ./tests/shell-checks || exit 1
 	# Check all script dependencies before starting tests:
 	echo "Checking dependencies.."
@@ -97,7 +97,7 @@
 	WINETRICKS_ENABLE_KCOV=1 $(MAKE) check
 
 shell-checks:
-	echo "This runs shell checks only. Currently, these are checkbashisms and shellcheck."
+	echo "This runs shell checks only. Currently, this is mostly shellcheck."
 	echo "This is relatively fast and doesn't download anything."
 	sh ./tests/shell-checks || exit 1
 
@@ -122,8 +122,8 @@
 	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
 	echo ''
 	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
-	# Check for checkbashisms/shellcheck issues first:
-	echo "Running checkbashisms/shellcheck:"
+	# Check for shellcheck issues first:
+	echo "Running shellcheck:"
 	sh ./tests/shell-checks || exit 1
 	# Check all script dependencies before starting tests:
 	echo "Checking dependencies.."

=== debian/changelog ===
winetricks (20240105-2) unstable; urgency=medium

  * Recommend 7zip, keep p7zip-full as alternative. (Closes: #1063623)
  * Replace wine64.patch with new patch series to handle missing
    /usr/bin/wine64.
  * Add patch series to handle wrapper scripts. (Closes: #1063466)

 -- Jens Reyer <jre.winesim@gmail.com>  Fri, 23 Feb 2024 17:59:55 +0100

winetricks (20240105-1) unstable; urgency=medium

  * New upstream release.
  * Enable uscan tarball verification again.
  * Refresh patches.
  * Update d/copyright.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 20 Jan 2024 17:29:51 +0100

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,9 @@
  wine,
  ${misc:Depends},
 Recommends:
+ 7zip | p7zip-full,
  cabextract,
  fuseiso | archivemount,
- p7zip-full,
  pkexec | policykit-1 | kde-cli-tools,
  sudo,
  unzip,

## winetricks 20240105+git20241008

=== debian/changelog ===
winetricks (20240105+git20241008-0.1~mx21+1) mx; urgency=medium

  * New pull from git.
  * Disable patches except for the one to disable self-updates; the others
    incorporated upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Dec 2024 12:07:29 -0800

winetricks (20240105-3) unstable; urgency=medium

  * Update wrapper script patches to only warn once about unknown WoW64 style.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 24 Mar 2024 13:26:20 +0100

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
Uploaders: Jens Reyer <jre.winesim@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/Winetricks/winetricks
Vcs-Git: https://salsa.debian.org/wine-team/winetricks.git
Vcs-Browser: https://salsa.debian.org/wine-team/winetricks
Rules-Requires-Root: no

Package: winetricks
Architecture: all
Multi-Arch: foreign
Depends: aria2 | wget | curl, binutils, wine, ${misc:Depends},
               7zip | p7zip-full,
            cabextract
Recommends: fuseiso | archivemount,
            pkexec | policykit-1 | kde-cli-tools,
            sudo,
            unzip,
            xdg-utils,
            xz-utils,
            zenity | kdialog | x11-utils
Suggests: tor, unrar-free | unrar
Description: simple tool to work around common problems in Wine
 Winetricks lets you install missing DLLs or tweak various Wine settings
 individually.  It also has a menu of supported games/apps for which it
 can do all the workarounds automatically.
 .
 It can be used via GUI or commandline, whichever you prefer; the
 commandline mode is particularly useful as a building block in fancier
 wine frontends and in automated regression testing.

## winetricks 20250102

=== Makefile ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/applications
 	$(INSTALL_DATA) src/winetricks.desktop $(DESTDIR)$(PREFIX)/share/applications/winetricks.desktop
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/metainfo
-	$(INSTALL_DATA) src/winetricks.appdata.xml $(DESTDIR)$(PREFIX)/share/metainfo/winetricks.appdata.xml
+	$(INSTALL_DATA) src/io.github.winetricks.Winetricks.metainfo.xml $(DESTDIR)$(PREFIX)/share/metainfo/io.github.winetricks.Winetricks.metainfo.xml
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps
 	$(INSTALL_DATA) src/winetricks.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/winetricks.svg
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/bash-completion/completions

=== debian/changelog ===
winetricks (20250102-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches for handling wrapper scripts and missing /usr/bin/wine64.
    Applied upstream.
  * Update and split disable-automatic-selfupdate.patch
    - 01_disable-automatic-version-check.patch
      New: Add custom option for enabling it.
    - 02_disable-automatic-selfupdate.patch
      New: Add hint about running it manually.
    - 03_ask-and-warn-selfupdate.patch
  * Update standards version to 4.7.0, no changes needed.
  * Update debian/copyright.

 -- Jens Reyer <jre.winesim@gmail.com>  Thu, 02 Jan 2025 20:40:51 +0100

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
Uploaders:
 Jens Reyer <jre.winesim@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/Winetricks/winetricks
Vcs-Git: https://salsa.debian.org/wine-team/winetricks.git
Vcs-Browser: https://salsa.debian.org/wine-team/winetricks
Rules-Requires-Root: no

Package: winetricks
Architecture: all
Multi-Arch: foreign
Depends:
 aria2 | wget | curl,
 binutils,
 wine,
 ${misc:Depends},
Recommends:
 7zip | p7zip-full,
 cabextract,
 fuseiso | archivemount,
 pkexec | policykit-1 | kde-cli-tools,
 sudo,
 unzip,
 xdg-utils,
 xz-utils,
 zenity | kdialog | x11-utils,
Suggests:
 tor,
 unrar-free | unrar,
Description: simple tool to work around common problems in Wine
 Winetricks lets you install missing DLLs or tweak various Wine settings
 individually.  It also has a menu of supported games/apps for which it
 can do all the workarounds automatically.
 .
 It can be used via GUI or commandline, whichever you prefer; the
 commandline mode is particularly useful as a building block in fancier
 wine frontends and in automated regression testing.

=== debian/rules ===
#!/usr/bin/make -f

# Required for DEB_VERSION_UPSTREAM
include  /usr/share/dpkg/pkg-info.mk

CHANGELOG := debian/upstream/changelog

# Run manually when package is updated (upstream git tag must be available)
# and new upstream version is in d/changelog
get-changelog:
	git log --pretty=short $(DEB_VERSION_UPSTREAM) > $(CHANGELOG)

override_dh_auto_test:
	# Skip. These are internal tests.

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

%:
	dh $@

# End of file

=== debian/watch ===
version=4

# Download the tarball from the releases website (directory
# prefix "winetricks-$tag/") instead of the tarball from the api
# release file ("Winetricks-winetricks-$tag-$commit/")
opts="searchmode=plain,\
downloadurlmangle=s#api.github.com/repos/([^/]+)/([^/]+)/tarball/(@ANY_VERSION@)#github.com/${1}/${2}/archive/refs/tags/${3}.tar.gz#,\
pgpsigurlmangle=s#archive/refs/tags/(@ANY_VERSION@)\.tar\.gz#releases/download/${1}/${1}.tar.gz.asc#,\
filenamemangle=s#.+/@ANY_VERSION@#winetricks-${1}.tar.gz#" \
https://api.github.com/repos/Winetricks/winetricks/releases \
https://api\.github\.com/repos/[^/]+/[^/]+/tarball/@ANY_VERSION@
